;InnoSetupVersion=5.2.3

[Setup]
AppName=OpenWith.org Desktop Tool
AppVerName=OpenWith.org 1.0.1
AppId={{B52F8C4B-FE88-4B59-9B80-1C93669D7DEB}
AppPublisher=OpenWith.org
AppPublisherURL=http://www.openwith.org/
AppSupportURL=http://www.openwith.org/
AppUpdatesURL=http://www.openwith.org/
DefaultDirName={pf}\OpenWith.org Desktop Tool
DefaultGroupName=OpenWith.org Desktop Tool
OutputBaseFilename=in
Compression=lzma
ArchitecturesAllowed=x86
DisableDirPage=yes
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{tmp}\isxdl.dll"; DestDir: "{tmp}"; MinVersion: 4.1,5.0; Flags: deleteafterinstall dontcopy 
Source: "{app}\OpenWith.org Desktop Tool.exe"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\OpenWith.org Shell Extension.dll"; DestDir: "{app}"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Microsoft.VC90.ATL\atl90.dll"; DestDir: "{app}\Microsoft.VC90.ATL"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Microsoft.VC90.ATL\Microsoft.VC90.ATL.manifest"; DestDir: "{app}\Microsoft.VC90.ATL"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Microsoft.VC90.CRT\msvcm90.dll"; DestDir: "{app}\Microsoft.VC90.CRT"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Microsoft.VC90.CRT\msvcr90.dll"; DestDir: "{app}\Microsoft.VC90.CRT"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Microsoft.VC90.CRT\msvcp90.dll"; DestDir: "{app}\Microsoft.VC90.CRT"; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Microsoft.VC90.CRT\Microsoft.VC90.CRT.manifest"; DestDir: "{app}\Microsoft.VC90.CRT"; MinVersion: 4.1,5.0; Flags: ignoreversion 

[Registry]
Root: HKCR; Subkey: "*\shellex\ContextMenuHandlers\OpenWith.org"; ValueType: String; ValueData: "{{1569D0D3-1127-48A2-A4BC-958553F472C5}"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{1569D0D3-1127-48A2-A4BC-958553F472C5}"; ValueType: String; ValueData: "ShellExt Class"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{1569D0D3-1127-48A2-A4BC-958553F472C5}\InprocServer32"; ValueType: String; ValueData: "{app}\OpenWith.org Shell Extension.dll"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{1569D0D3-1127-48A2-A4BC-958553F472C5}\InprocServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 

[Run]
Filename: "{ini:{tmp}{\}dep.ini,install,kb835732}"; Parameters: "/q:a /c:""install /q"""; StatusMsg: "{cm:depinstall_status,{cm:kb835732_title}}"; Description: "{cm:kb835732_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{ini:{tmp}{\}dep.ini,install,msi20}"; Parameters: "/q:a /c:""msiinst /delayrebootq"""; StatusMsg: "{cm:depinstall_status,{cm:msi20_title}}"; Description: "{cm:msi20_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{ini:{tmp}{\}dep.ini,install,msi31}"; Parameters: "/quiet /norestart"; StatusMsg: "{cm:depinstall_status,{cm:msi31_title}}"; Description: "{cm:msi31_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{ini:{tmp}{\}dep.ini,install,ie6}"; Parameters: "/q:a /C:""setup /QNT"""; StatusMsg: "{cm:depinstall_status,{cm:ie6_title}}"; Description: "{cm:ie6_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{ini:{tmp}{\}dep.ini,install,dotnetfx20}"; Parameters: "/q:a /t:{tmp}{\}dotnetfx20 /c:""install /q /l"""; StatusMsg: "{cm:depinstall_status,{cm:dotnetfx20_title}}"; Description: "{cm:dotnetfx20_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{ini:{tmp}{\}dep.ini,install,dotnetfx20sp1}"; Parameters: "/q:a /t:{tmp}{\}dotnetfx20sp1 /c:""install /q /l /msipassthru MSI_PROP_BEGIN"" REBOOT=Suppress ""MSI_PROP_END"""; StatusMsg: "{cm:depinstall_status,{cm:dotnetfx20sp1_title}}"; Description: "{cm:dotnetfx20sp1_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{ini:{tmp}{\}dep.ini,install,mdac28}"; Parameters: "/q:a /c:""install /q /l"""; StatusMsg: "{cm:depinstall_status,{cm:mdac28_title}}"; Description: "{cm:mdac28_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{ini:{tmp}{\}dep.ini,install,jet4sp8}"; Parameters: "/q:a /c:""install /q /l"""; StatusMsg: "{cm:depinstall_status,{cm:jet4sp8_title}}"; Description: "{cm:jet4sp8_title}"; MinVersion: 4.1,5.0; Flags: skipifdoesntexist 
Filename: "{app}\OpenWith.org Desktop Tool.exe"; Description: "Show Instructions"; MinVersion: 4.1,5.0; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\{cm:ProgramOnTheWeb,OpenWith.org Desktop Tool}"; Filename: "http://www.openwith.org/"; MinVersion: 4.1,5.0; 
Name: "{group}\{cm:UninstallProgram,OpenWith.org Desktop Tool}"; Filename: "{uninstallexe}"; MinVersion: 4.1,5.0; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
DependenciesDir=MyProgramDependencies
en.depdownload_title=Download dependencies
en.depinstall_title=Install dependencies
en.depinstall_status=Installing %1... (May take a few minutes)
en.depdownload_msg=The following applications are required before setup can continue:%n%1%nDownload and install now?
en.depinstall_missing=%1 must be installed before setup can continue. Please install %1 and run Setup again.
en.kb835732_title=Security Update (KB835732)
en.kb835732_size=6.8 MB
msi20_title=Windows Installer 2.0
en.msi20_size=1.7 MB
msi31_title=Windows Installer 3.1
en.msi31_size=2.5 MB
ie6_title=Internet Explorer 6
en.ie6_size=46 MB
dotnetfx20_title=.NET Framework 2.0
en.dotnetfx20_size=23 MB
dotnetfx20sp1_title=.NET Framework 2.0 Service Pack 1
en.dotnetfx20sp1_size=23.6 MB
mdac28_title=MDAC 2.8
en.mdac28_size=5.4 MB
jet4sp8_title=Jet 4
en.jet4sp8_size=3.7 MB
win2000sp3_title=Windows 2000 Service Pack 3
winxpsp2_title=Windows XP Service Pack 2

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
